Bug 1951232 - Resolution fails to sort channel if inner entry does not satisfy predicate
Summary: Resolution fails to sort channel if inner entry does not satisfy predicate
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.8
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.7.z
Assignee: Ben Luddy
QA Contact: Salvatore Colangelo
URL:
Whiteboard:
Depends On: 1942522
Blocks: 1954759
TreeView+ depends on / blocked
 
Reported: 2021-04-19 21:14 UTC by Ben Luddy
Modified: 2021-05-19 15:16 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1942522
Environment:
Last Closed: 2021-05-19 15:16:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 2106 0 None open [release-4.7] Bug 1951232: Fix resolution error if inner entry doesn't provide a required API. 2021-04-20 23:39:36 UTC
Red Hat Product Errata RHBA-2021:1550 0 None None None 2021-05-19 15:16:36 UTC

Comment 2 Salvatore Colangelo 2021-04-29 13:29:55 UTC
Hi 

below the step .

1. From operator hub install Hive Operator

2. Verify if the operator is installed correctly 

[scolange@scolange openshift-tests-private]$ oc -n assisted-installer  get sub
NAME            PACKAGE         SOURCE                CHANNEL
hive-operator   hive-operator   community-operators   alpha
[scolange@scolange openshift-tests-private]$ oc -n assisted-installer  get csv
NAME                   DISPLAY                      VERSION   REPLACES               PHASE
hive-operator.v1.1.1   Hive for Red Hat OpenShift   1.1.1     hive-operator.v1.1.0   Succeeded
[scolange@scolange openshift-tests-private]$ oc -n assisted-installer  get ip
NAME            CSV                    APPROVAL    APPROVED
install-d6nmz   hive-operator.v1.1.1   Automatic   true


1. From operator hub install Assisted Service Operator


2. Verify if the operator is installed correctly 

[scolange@scolange openshift-tests-private]$ oc -n assisted-installer  get sub
NAME                        PACKAGE                     SOURCE                CHANNEL
assisted-service-operator   assisted-service-operator   community-operators   alpha
hive-operator               hive-operator               community-operators   alpha


[scolange@scolange openshift-tests-private]$ oc -n assisted-installer  get csv
NAME                               DISPLAY                      VERSION   REPLACES                           PHASE
assisted-service-operator.v0.0.2   Assisted Service Operator    0.0.2     assisted-service-operator.v0.0.1   Succeeded
hive-operator.v1.1.1               Hive for Red Hat OpenShift   1.1.1     hive-operator.v1.1.0               Succeeded


[scolange@scolange openshift-tests-private]$ oc -n assisted-installer  get ip
NAME            CSV                                APPROVAL    APPROVED
install-d6nmz   hive-operator.v1.1.1               Automatic   true
install-xvqwm   assisted-service-operator.v0.0.2   Automatic   true


[scolange@scolange openshift-tests-private]$ oc get events -n assisted-installer

8m43s       Normal    Scheduled             pod/hive-operator-84847dbb67-mh6tm                       Successfully assigned assisted-installer/hive-operator-84847dbb67-mh6tm to xiyuan295-t7w9r-worker-a-x7mbd.c.openshift-qe.internal
8m41s       Normal    AddedInterface        pod/hive-operator-84847dbb67-mh6tm                       Add eth0 [10.129.2.136/23]
8m41s       Normal    Pulling               pod/hive-operator-84847dbb67-mh6tm                       Pulling image "quay.io/openshift-hive/hive:v1.1.1"
8m40s       Normal    Pulled                pod/hive-operator-84847dbb67-mh6tm                       Successfully pulled image "quay.io/openshift-hive/hive:v1.1.1" in 773.823081ms
8m40s       Normal    Created               pod/hive-operator-84847dbb67-mh6tm                       Created container hive-operator
8m40s       Normal    Started               pod/hive-operator-84847dbb67-mh6tm                       Started container hive-operator
8m44s       Normal    SuccessfulCreate      replicaset/hive-operator-84847dbb67                      Created pod: hive-operator-84847dbb67-mh6tm
36m         Normal    ScalingReplicaSet     deployment/hive-operator                                 Scaled up replica set hive-operator-7974f7b98f to 1
8m54s       Normal    RequirementsUnknown   clusterserviceversion/hive-operator.v1.1.1               requirements not yet checked
8m53s       Normal    RequirementsNotMet    clusterserviceversion/hive-operator.v1.1.1               one or more requirements couldn't be found
8m44s       Normal    AllRequirementsMet    clusterserviceversion/hive-operator.v1.1.1               all requirements found, attempting install
8m43s       Normal    InstallSucceeded      clusterserviceversion/hive-operator.v1.1.1               waiting for install components to report healthy
8m43s       Normal    InstallWaiting        clusterserviceversion/hive-operator.v1.1.1               installing: waiting for deployment hive-operator to become ready: Waiting for rollout to finish: 0 of 1 updated replicas are available...
8m36s       Normal    InstallSucceeded      clusterserviceversion/hive-operator.v1.1.1               install strategy completed with no errors
....
....
5m33s       Normal    Scheduled             pod/assisted-service-operator-5cbbf9546b-77wj5           Successfully assigned assisted-installer/assisted-service-operator-5cbbf9546b-77wj5 to xiyuan295-t7w9r-worker-a-x7mbd.c.openshift-qe.internal
5m32s       Normal    AddedInterface        pod/assisted-service-operator-5cbbf9546b-77wj5           Add eth0 [10.129.2.138/23]
5m31s       Normal    Pulled                pod/assisted-service-operator-5cbbf9546b-77wj5           Container image "quay.io/ocpmetal/assisted-service@sha256:330245cb266d2cc53fa0009fe949b0667cbaef3f72a548735734caf5c553eec6" already present on machine
5m31s       Normal    Created               pod/assisted-service-operator-5cbbf9546b-77wj5           Created container manager
5m31s       Normal    Started               pod/assisted-service-operator-5cbbf9546b-77wj5           Started container manager
5m36s       Normal    RequirementsUnknown   clusterserviceversion/assisted-service-operator.v0.0.2   requirements not yet checked
5m36s       Normal    RequirementsNotMet    clusterserviceversion/assisted-service-operator.v0.0.2   one or more requirements couldn't be found
5m34s       Normal    AllRequirementsMet    clusterserviceversion/assisted-service-operator.v0.0.2   all requirements found, attempting install
5m34s       Normal    InstallSucceeded      clusterserviceversion/assisted-service-operator.v0.0.2   waiting for install components to report healthy
5m34s       Normal    InstallWaiting        clusterserviceversion/assisted-service-operator.v0.0.2   installing: waiting for deployment assisted-service-operator to become ready: Waiting for rollout to finish: 0 of 1 updated replicas are available...
5m21s       Normal    InstallSucceeded      clusterserviceversion/assisted-service-operator.v0.0.2   install strategy completed with no errors



[scolange@scolange openshift-tests-private]$ oc get events -n assisted-installer|grep ResolutionFailed
..empty


LGMT!

Comment 5 Siddharth Sharma 2021-05-10 17:59:13 UTC
This bug will be shipped as part of next z-stream release 4.7.11 on May 19th, as 4.7.10 was dropped due to a blocker https://bugzilla.redhat.com/show_bug.cgi?id=1958518.

Comment 9 errata-xmlrpc 2021-05-19 15:16:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.11 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:1550


Note You need to log in before you can comment on or make changes to this bug.